Package com.io7m.smfj.format.xml.internal

## Class SMFXAttributeIntegerSigned4

- java.lang.Object
- - com.io7m.smfj.format.xml.internal.SMFXAttributeIntegerSigned4

- All Implemented Interfaces:
    `com.io7m.blackthorne.api.BTElementHandlerType<java.lang.Object,​SMFVoid>`

      public final class SMFXAttributeIntegerSigned4
      extends java.lang.Object
      implements com.io7m.blackthorne.api.BTElementHandlerType<java.lang.Object,​SMFVoid>

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SMFXAttributeIntegerSigned4​(com.io7m.blackthorne.api.BTElementParsingContextType context, SMFParserEventsDataAttributeValuesType inEventsValues)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `SMFVoid` | `onElementFinished​(com.io7m.blackthorne.api.BTElementParsingContextType context)` |
    `void` | `onElementStart​(com.io7m.blackthorne.api.BTElementParsingContextType context, org.xml.sax.Attributes attributes)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.io7m.blackthorne.api.BTElementHandlerType

      `map, name, onCharacters, onChildHandlersRequested, onChildValueProduced, onShouldIgnoreUnrecognizedElements`

- - ### Constructor Detail

    - #### SMFXAttributeIntegerSigned4

          public SMFXAttributeIntegerSigned4​(com.io7m.blackthorne.api.BTElementParsingContextType context,
                                             SMFParserEventsDataAttributeValuesType inEventsValues)

  - ### Method Detail

    - #### onElementStart

          public void onElementStart​(com.io7m.blackthorne.api.BTElementParsingContextType context,
                                     org.xml.sax.Attributes attributes)
                              throws org.xml.sax.SAXException

      Specified by:
        `onElementStart` in interface `com.io7m.blackthorne.api.BTElementHandlerType<java.lang.Object,​SMFVoid>`
      Throws:
        `org.xml.sax.SAXException`

    - #### onElementFinished

          public SMFVoid onElementFinished​(com.io7m.blackthorne.api.BTElementParsingContextType context)

      Specified by:
        `onElementFinished` in interface `com.io7m.blackthorne.api.BTElementHandlerType<java.lang.Object,​SMFVoid>`